FileCapture (CMDB Model API)
Keywords: com.collation.platform.model.discovery.template.FileCapture interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.template
Interface FileCapture

All Superinterfaces:
  ModelObject, java.io.Serializable

All Known Subinterfaces:
  AppDescriptorCapture, ConfigCapture, ModuleCapture

    public interface FileCapture

extends ModelObject

Naming Rules:
  0="parent,pathPrefix,pathName"
Persistable:
  true
Table Name:
  FILECAPT
Display Name:
  pathName

Method Summary
`int` | `getMaxSize()`
`Template` | `getParent()`
`java.lang.String` | `getPathName()`
`java.lang.String` | `getPathPrefix()`
`boolean` | `getRecurseDirectory()`
`boolean` | `getStatOnly()`
`boolean` | `hasMaxSize()`
`boolean` | `hasParent()`
`boolean` | `hasPathName()`
`boolean` | `hasPathPrefix()`
`boolean` | `hasRecurseDirectory()`
`boolean` | `hasStatOnly()`
`void` | `setMaxSize(int maxSize)` Sets the maxSize.
`void` | `setParent(Template parent)`
`void` | `setPathName(java.lang.String pathName)` Sets the pathName.
`void` | `setPathPrefix(java.lang.String pathPrefix)` Sets the pathPrefix.
`void` | `setRecurseDirectory(boolean recurse)` Set to true if the directory listing should recurse directory
`void` | `setStatOnly(boolean statOnly)` Specifies if this only stats need to be collected on this file (and no contents)

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    Template getParent()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParent

    void setParent(Template parent)

### hasParent

    boolean hasParent()

### getMaxSize

    int getMaxSize()
                   throws AttributeNotSetException

  Returns:
    int
  Throws:
    `AttributeNotSetException`

### setMaxSize

    void setMaxSize(int maxSize)

  Sets the maxSize.

  Parameters:
    `maxSize` - The maxSize to set

### hasMaxSize

    boolean hasMaxSize()

### getPathName

    java.lang.String getPathName()
                                 throws AttributeNotSetException

  Returns:
    String
  Throws:
    `AttributeNotSetException`

### setPathName

    void setPathName(java.lang.String pathName)

  Sets the pathName.

  Parameters:
    `pathName` - The pathName to set

### hasPathName

    boolean hasPathName()

### getStatOnly

    boolean getStatOnly()
                        throws AttributeNotSetException

  Returns:
    Boolean
  Throws:
    `AttributeNotSetException`

### setStatOnly

    void setStatOnly(boolean statOnly)

  Specifies if this only stats need to be collected on this file (and no contents)

  Parameters:
    `statOnly` - The statOnly to set

### hasStatOnly

    boolean hasStatOnly()

### getPathPrefix

    java.lang.String getPathPrefix()
                                   throws AttributeNotSetException

  Returns:
    int
  Throws:
    `AttributeNotSetException`

### setPathPrefix

    void setPathPrefix(java.lang.String pathPrefix)

  Sets the pathPrefix.

  Parameters:
    `pathPrefix` - The pathPrefix to set

### hasPathPrefix

    boolean hasPathPrefix()

### getRecurseDirectory

    boolean getRecurseDirectory()
                                throws AttributeNotSetException

  Returns:
    boolean true if the listing should recurse directory
  Throws:
    `AttributeNotSetException`

### setRecurseDirectory

    void setRecurseDirectory(boolean recurse)

  Set to true if the directory listing should recurse directory

### hasRecurseDirectory

    boolean hasRecurseDirectory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD